//MICRO
//7-Segment-Anzeige
//Testprogramm

//
//    A
//  F   B
//    G  
//  E   C
//    D
//

#define Z0 0b01111110
#define Z1 0b00001100
#define Z2 0b10110110
#define Z3 0b10011110
//           GFEDCBA
#define Z4 0b11001100
#define Z5 0b11011010
#define Z6 0b11111010
#define Z7 0b00001110
#define Z8 0b11111110
#define Z9 0b11011110

int z = 0;
int zaehler = 0;

unsigned char digit[] = {Z0,Z1,Z2,Z3,Z4,Z5,Z6,Z7,Z8,Z9};

void setup() 
{
 //A-G OUT
 //........GFEDCBA
 DDRB |= 0b11111110;

 //D1-D4 OUT
 //..........D43:21
 DDRD |= 0b00011111;

 //D1-D5 auf 5V
 //...........D43:21
 PORTD |= 0b00011111;

}

void loop() 
{
   PORTD |= 0b00011111;
   PORTD &= 0b00011110;
   PORTB = digit[zaehler];
   delay(1);
   
   PORTD |= 0b00011111;
   PORTD &= 0b00011101;
   PORTB = digit[zaehler];
   delay(1);
   
   PORTD |= 0b00011111;
   PORTD &= 0b00010111;
   PORTB = digit[zaehler];
   delay(1);
   
   PORTD |= 0b00011111;
   PORTD &= 0b00001111;
   PORTB = digit[zaehler];
   delay(1);
   
   z++;
   z%=1000;
   zaehler = z/100;
}
